package metrics;

import org.springframework.web.bind.annotation.*;
import com.netflix.servo.monitor.*;

@RestController
public class CounterController {

	final Counter requests = Monitors.newCounter("requests");

	public CounterController() {
		Monitors.registerObject(this);
	}

	@RequestMapping("/counter")
	public String index() {
		requests.increment();
		return "ok " + requests.getValue();
	}
}
