package metrics;

import org.springframework.web.bind.annotation.*;
import com.netflix.servo.monitor.*;

@RestController
public class GaugeController {

	final MaxGauge tacho = new MaxGauge(MonitorConfig.builder("tacho").build());

	public GaugeController() {
		Monitors.registerObject(this);
	}

	@RequestMapping("/gauge/{n}")
	public String index(@PathVariable("n") long n) {
		tacho.update(n);
		return "gauge " + tacho.getValue();
	}
}
