package metrics;

import org.springframework.web.bind.annotation.*;
import com.netflix.servo.monitor.*;

@RestController
public class InfoController {

	final BasicInformational info = new BasicInformational(MonitorConfig.builder("info").build());

	public InfoController() {
		Monitors.registerObject(this);
	}

	@RequestMapping("/info/{n}")
	public String index(@PathVariable("n") String n) {
		info.setValue(n);
		return "info " + info.getValue();
	}
}
